maph 1.0.0 High-Performance Memory-Mapped Key-Value Database with O(1) Lookups

Loading...
Searching...
No Matches
Public Member Functions | List of all members
httplib::Stream Class Referenceabstract

`#include <httplib.h>`

Collaboration diagram for httplib::Stream:

## Public Member Functions
virtual | ~Stream ()=default
virtual bool | is_readable () const =0
virtual bool | wait_readable () const =0
virtual bool | wait_writable () const =0
virtual ssize_t | read (char *ptr, size_t size)=0
virtual ssize_t | write (const char *ptr, size_t size)=0
virtual void | get_remote_ip_and_port (std::string &ip, int &port) const =0
virtual void | get_local_ip_and_port (std::string &ip, int &port) const =0
virtual socket_t | socket () const =0
virtual time_t | duration () const =0
ssize_t | write (const char *ptr)
ssize_t | write (const std::string &s)

## Detailed Description

Definition at line 840 of file httplib.h.

## Constructor & Destructor Documentation

## ◆ ~Stream()

virtual httplib::Stream::~Stream | ( |  | ) |
| virtual default

## Member Function Documentation

## ◆ duration()

virtual time_t httplib::Stream::duration | ( |  | ) | const
| pure virtual

## ◆ get_local_ip_and_port()

virtual void httplib::Stream::get_local_ip_and_port | ( | std::string & | ip,
|  | int & | port
| ) |  | const
| pure virtual

## ◆ get_remote_ip_and_port()

virtual void httplib::Stream::get_remote_ip_and_port | ( | std::string & | ip,
|  | int & | port
| ) |  | const
| pure virtual

## ◆ is_readable()

virtual bool httplib::Stream::is_readable | ( |  | ) | const
| pure virtual

## ◆ read()

virtual ssize_t httplib::Stream::read | ( | char * | ptr,
|  | size_t | size
| ) |  |
| pure virtual

## ◆ socket()

virtual socket_t httplib::Stream::socket | ( |  | ) | const
| pure virtual

Referenced by httplib::Server::process_request().

Here is the caller graph for this function:

## ◆ wait_readable()

virtual bool httplib::Stream::wait_readable | ( |  | ) | const
| pure virtual

## ◆ wait_writable()

virtual bool httplib::Stream::wait_writable | ( |  | ) | const
| pure virtual

## ◆ write() [1/3]

ssize_t httplib::Stream::write | ( | const char * | ptr | ) |
| inline

Definition at line 6985 of file httplib.h.

## ◆ write() [2/3]

virtual ssize_t httplib::Stream::write | ( | const char * | ptr,
|  | size_t | size
| ) |  |
| pure virtual

Referenced by httplib::Server::process_request(), and httplib::detail::write_headers().

Here is the caller graph for this function:

## ◆ write() [3/3]

ssize_t httplib::Stream::write | ( | const std::string & | s | ) |
| inline

Definition at line 6989 of file httplib.h.

The documentation for this class was generated from the following file:

- integrations/rest_api/httplib.h